Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 19 Dec 2014, 23:44
All times are UTC - 4
 Forum index » Advanced Topics » Hardware
i cant install ati 9800
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [14 Posts]  
Author Message
jj

Joined: 07 Mar 2006
Posts: 7

PostPosted: Tue 07 Mar 2006, 16:39    Post subject:  i cant install ati 9800  

i read everything here but i just get confused is there a simple way? im useing 108 puppy installed to hardrive .but no matter how much i try i cant get this card installed for 3d
Back to top
View user's profile Send private message 
tempestuous

Joined: 10 Jun 2005
Posts: 5293
Location: Australia

PostPosted: Tue 07 Mar 2006, 18:40    Post subject:  

You need DRI (direct rendering infrastructure) graphics support. See here
http://www.murga.org/%7Epuppy/viewtopic.php?t=5244&start=0
Back to top
View user's profile Send private message 
jj

Joined: 07 Mar 2006
Posts: 7

PostPosted: Wed 08 Mar 2006, 09:41    Post subject:  

i didnt realy understand that guide i read it a few days ago.whil lurking
Back to top
View user's profile Send private message 
jj

Joined: 07 Mar 2006
Posts: 7

PostPosted: Wed 08 Mar 2006, 09:59    Post subject:  

# /usr/local/install-DRI/install-DRI radeon
/lib/modules/2.4.29/char/agp/agpgart.o.gz: init_module: No such device
Hint: insmod errors can be caused by incorrect module parameters, including invalid IO or IRQ parameters.
You may find more information in syslog or the output from dmesg
/lib/modules/2.4.29/char/agp/agpgart.o.gz: insmod /lib/modules/2.4.29/char/agp/agpgart.o.gz failed
/lib/modules/2.4.29/char/agp/agpgart.o.gz: insmod agpgart failed
thats what it says after trying that link im so lost
Back to top
View user's profile Send private message 
MU


Joined: 24 Aug 2005
Posts: 13644
Location: Karlsruhe, Germany

PostPosted: Wed 08 Mar 2006, 10:10    Post subject:  

Maybe the new Ati-cards don't support or need the agpgart-module.

But if the radeon-module loaded, it might be ok.

If you type
lsmod
does it list "radeon"?
Mark
Back to top
View user's profile Send private message Visit poster's website 
jj

Joined: 07 Mar 2006
Posts: 7

PostPosted: Wed 08 Mar 2006, 10:27    Post subject:  

its says unuded for some reason
radeon 121628 0 (unused)
snd-mixer-oss 12184 0 (autoclean)
snd-intel8x0 18080 0
snd-ac97-codec 52472 0 [snd-intel8x0]
snd-pcm 56168 0 [snd-intel8x0 snd-ac97-codec]
snd-timer 13636 0 [snd-pcm]
snd 32164 0 [snd-mixer-oss snd-intel8x0 snd-ac97-codec snd-pcm snd-timer]
soundcore 3588 1 [snd]
snd-page-alloc 4840 0 [snd-mixer-oss snd-intel8x0 snd-pcm snd-timer snd]
forcedeth 9868 1
parport_pc 15108 0
parport 23880 0 [parport_pc]
sr_mod 14488 0 (unused)
ide-cd 29504 0
cdrom 27744 0 [sr_mod ide-cd]
sd_mod 11404 0 (unused)
usb-ohci 19336 0 (unused)
usbcore 59596 1 [usb-ohci]
scsi_mod 93972 2 [sr_mod sd_mod]
#
Back to top
View user's profile Send private message 
tempestuous

Joined: 10 Jun 2005
Posts: 5293
Location: Australia

PostPosted: Wed 08 Mar 2006, 10:34    Post subject:  

I came across a similar problem when setting up my VIA Epia Unichrome package. The Unichrome family includes the older CLE266 graphics chip and newer CN400 chip.
The agpgart module worked OK with the CLE266, but failed to load with the CN400.
It turns out that the 2.4 kernel version of the agpgart module doesn't include the definition for the CN400. The agpgart module in the 2.6 kernel does.

I emailed the maintainer of this module about this problem and he replied that it's possible in theory to hack the 2.4 kernel source, but it's a difficult task. I didn't bother pursuing the issue further.
Back to top
View user's profile Send private message 
MU


Joined: 24 Aug 2005
Posts: 13644
Location: Karlsruhe, Germany

PostPosted: Wed 08 Mar 2006, 10:39    Post subject:  

Yes, it loaded.
So now try the next steps.

You might need this DRI-driver for X.org:
http://noforum.de/dotpups/X11R6addons/dri-r200.pup

Install it, and add with an editor these lines to xorg.conf in Section "Module"

Code:
    Load       "dri"
     Load       "glx"


And set the entry "driver" to "radeon".

Then restart X.
(hit CTRL-ALT-Backspace), then type "xwin".
If that fails, run xorgwizard again, or run
mp /etc/X11/xorg.conf
to restore the "driver"-entry to your old value.

In case X starts without problems, but you still have no DRI (run glxinfo to test it), please zip /var/log/Xorg.0.log, and attach it to your next message.
Mark
Back to top
View user's profile Send private message Visit poster's website 
MU


Joined: 24 Aug 2005
Posts: 13644
Location: Karlsruhe, Germany

PostPosted: Wed 08 Mar 2006, 10:51    Post subject:  

I just see your 9800 will not work:
http://dri.freedesktop.org/wiki/ATIRadeon

You had to use the installer from ATI mentioned there at bottom.

That installer does not support my old 7000, so I can't test it.
Mark
Back to top
View user's profile Send private message Visit poster's website 
jj

Joined: 07 Mar 2006
Posts: 7

PostPosted: Wed 08 Mar 2006, 10:52    Post subject:  

cool thank you mark im closer i think but i dodnt see where to do this
And set the entry "driver" to "radeon"
Back to top
View user's profile Send private message 
jj

Joined: 07 Mar 2006
Posts: 7

PostPosted: Wed 08 Mar 2006, 11:32    Post subject:  

sadly the ati driver from there site dont work either it says
# # sh ./ati-driver-installer-8.22.5-i386.run
# Creating directory fglrx-install
bash: Creating: command not found
# Verifying archive integrity... All good.
bash: Verifying: command not found
# Uncompressing ATI Proprietary Linux Driver-8.22.5...........................................................................................................................................................................................................................................................................................................................................................................
bash: Uncompressing: command not found
# ==================================================
bash: ==================================================: command not found
# ATI Technologies Linux Driver Installer/Packager
bash: ATI: command not found
# ==================================================
bash: ==================================================: command not found
# ./ati-installer.sh: 97: Syntax error: Bad substitution
bash: ./ati-installer.sh:: No such file or directory
# Removing temporary directory: fglrx-install
bash: Removing: command not found
Back to top
View user's profile Send private message 
MU


Joined: 24 Aug 2005
Posts: 13644
Location: Karlsruhe, Germany

PostPosted: Wed 08 Mar 2006, 11:50    Post subject:  

Please try this:

First,backup you pup001, as I cannot test myself, if it works.
Be shure to have temporarily 70 MB free diskspace:
df -m

Then install this Dotpup with ATIs propriatry Drivers (11MB, 30 MB extracted):
http://dotpups.de/dotpups/XServer/testing/install-ATI.pup
It is not the newest, but just some weeks old.
It was taken from a fglrx_6_8_0-8.20.8-1.i386.rpm.


I already compiled the Kernelmodule,so you will not need to compile something.
Now run install-ATI from the Dotpups-menu, and restart X.
This simply will activate the fglrx-Kernelmodule.
This step must be made everytime you reboot puppy.

Then in a consolewindow, run
fglrxconfig

This will modify /etc/X11/xorg.conf , so make a backup first.
This must be made only once.

Then restart X , and in a Consolewindow type in one of these comands to test if it works:

aticonfig
fglrxinfo
fireglcontrolpanel
fgl_glxgears
fglrx_pplay
fglrx_xgamma

Mark
Back to top
View user's profile Send private message Visit poster's website 
tempestuous

Joined: 10 Jun 2005
Posts: 5293
Location: Australia

PostPosted: Wed 08 Mar 2006, 19:29    Post subject:  

Mark and jj,
At the bottom of the page you mentioned - http://dri.freedesktop.org/wiki/ATIRadeon
it says this -

"The r300 project has an experimental 3D driver for R300 and newer chips, with some success reported for R4xx cards and on PowerPC. This driver needs more work, and it is available in the Mesa 6.4 (http://dri.freedesktop.org/wiki/Mesa) release."

I already built Mesa CVS 2 months ago, so I checked my Mesa build and yes, there it is -
r300_dri.so (2.4MB).

... but as I tried to suggest in an earlier post, I don't think that either the open source or closed source drivers will work if the agpgart module won't load. I think jj needs a 2.6 kernel.
Back to top
View user's profile Send private message 
jj

Joined: 07 Mar 2006
Posts: 7

PostPosted: Wed 08 Mar 2006, 21:56    Post subject:  

yeah sadly it didnt work .and i ran outa time to mess with it before family got here this am.i went back to windows for the time being o i should add its a ati aiw 9800 i know the aiw fetures wont work but was hoeping for 3d .mainly cause i like running xpenquins lol i have a old pc chops mobo that may work but its old and only had durun 1200 and on board sound and video and even the cpu is on board lol has no socket just is soldered to board
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [14 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Hardware
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0718s ][ Queries: 12 (0.0056s) ][ GZIP on ]